Bug 642572 - Review Request: rubygem-commander - The complete solution for Ruby command-line executable
Summary: Review Request: rubygem-commander - The complete solution for Ruby command-li...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-13 11:26 UTC by Michal Fojtik
Modified: 2014-07-28 18:52 UTC (History)
3 users (show)

Fixed In Version: rubygem-commander-4.0.3-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-08 16:50:51 UTC
Type: ---
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michal Fojtik 2010-10-13 11:26:19 UTC
Spec URL: http://mifo.sk/RPMS/rubygem-commander.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-commander-4.0.3-2.fc13.src.rpm
Description:

The complete solution for Ruby command-line executables. Commander bridges the gap between other terminal related libraries you know and love (OptionParser, HighLine), while providing many new features, all packed in one simple, elegant API.

Comment 1 Mamoru TASAKA 2010-10-20 19:09:31 UTC
Some notes:

* License
  - For this pacakge license tag should be "MIT".

* Redundant version dependency
  - Please remove redundant explicit version dependency
    For currently supported Fedora branches, all ">= foo" parts
    in current spec file are not needed.

  ! Also "(Build)Requires: ruby" is redundant for this
    package (dependency for rubygems already exists)

Comment 2 Michal Fojtik 2010-10-21 08:22:59 UTC
(In reply to comment #1)
> Some notes:
> 
> * License
>   - For this pacakge license tag should be "MIT".

Fixed.

> 
> * Redundant version dependency
>   - Please remove redundant explicit version dependency
>     For currently supported Fedora branches, all ">= foo" parts
>     in current spec file are not needed.

Fixed 

>   ! Also "(Build)Requires: ruby" is redundant for this
>     package (dependency for rubygems already exists)

Dependency removed

========================== 4.0.3-3 ==================================

Spec URL: http://mifo.sk/RPMS/rubygem-commander.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-commander-4.0.3-3.fc13.src.rpm

Comment 3 Mamoru TASAKA 2010-10-29 17:34:15 UTC
Sorry for delay.

------------------------------------------------------------
   This package (rubygem-commander) is APPROVED by mtasaka
-------------------------------------------------------------

Comment 4 Michal Fojtik 2010-11-03 10:06:58 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name:      rubygem-commander
Short Description: The complete solution for Ruby command-line executable
Owners:            mfojtik
Branches:          f13 f14

Comment 5 Jason Tibbitts 2010-11-05 17:24:49 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-11-08 08:24:11 UTC
rubygem-commander-4.0.3-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-commander-4.0.3-3.fc13

Comment 7 Fedora Update System 2010-11-08 08:29:16 UTC
rubygem-commander-4.0.3-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-commander-4.0.3-3.fc14

Comment 8 Mamoru TASAKA 2010-11-08 16:50:51 UTC
Closing.

Comment 9 Fedora Update System 2010-11-24 22:44:03 UTC
rubygem-commander-4.0.3-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-11-24 22:45:23 UTC
rubygem-commander-4.0.3-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Troy Dawson 2014-07-28 18:42:06 UTC
Package Change Request
======================
Package Name: rubygem-commander
New Branches: epel7
Owners: tdawson

Comment 12 Gwyn Ciesla 2014-07-28 18:52:23 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.